using UnityEngine;

public sealed class BattleActivityConfig {
	public StarShipConfig[] Enemies { get; private set;}
	public BattleActivityConfig (StarShipConfig[] enemies) {
		Enemies = enemies;
	}

	public static BattleActivityConfig GenerateRandom() {
		int count = Random.Range (1, 3);
		StarShipConfig[] enemies = new StarShipConfig[count];
		for (int i = 0; i < enemies.Length; i++) {
			enemies [i] = new StarShipConfig (StarShip.Type.small, Random.Range (8, 16));
		}
		var battleActivity = new BattleActivityConfig (enemies);
		return battleActivity;
	}
}